=== debian/changelog ===
nestopia (1.46.2-2) unstable; urgency=medium

  [ Sérgio Benjamim ]
  * New package for the libretro core.
  * Update licensing information.
  * Use the system zlib header files.
  * Correct the upstream name to "Nestopia UE" in debian/copyright.

  [ Stephen Kitt ]
  * Upstream no longer ships non-free files, drop Files-Excluded.
  * Add Sérgio to the uploaders.
  * Drop the Debian menu and XPM icon.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Sep 2015 17:22:44 +0200

nestopia (1.46.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 3.9.6, no change required.
  * Add libretro licensing information.

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Oct 2014 21:58:07 +0200

nestopia (1.46.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove obsolete 7-zip licensing information.
  * Preserve build flags (to fully enable hardening).

 -- Stephen Kitt <skitt@debian.org>  Sat, 27 Sep 2014 19:25:37 +0200

nestopia (1.46-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.
  * Use the correct homepage URL.
  * Track releases on github instead of sourceforge.
  * Update build-dependencies (SDL 2 and libao).
  * Refresh patches.

  [ Ryan Danbrook ]
  * Update description.
  * Remove unnecessary build-dependencies.

 -- Stephen Kitt <skitt@debian.org>  Wed, 03 Sep 2014 10:23:22 +0200

nestopia (1.45+dfsg-2) unstable; urgency=medium

  * Use Files-Excluded in debian/copyright to drop get-orig-source from
    debian/rules.
  * Provide an icon entry in the menu file (Closes: #726844).
  * Standards-Version 3.9.5, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 May 2014 14:29:01 +0200
