=== debian/control ===
Source: nestopia
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>,
           Sérgio Benjamim <sergio_br2@yahoo.com.br>
Build-Depends: debhelper (>= 9),
               libao-dev,
               libarchive-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk-3-dev,
               libsdl2-dev
Standards-Version: 3.9.6
Homepage: http://0ldsk00l.ca/nestopia/
Vcs-Git: git://anonscm.debian.org/pkg-games/nestopia.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/nestopia.git;a=summary

Package: nestopia
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nes-emulator
Description: Nintendo Entertainment System/Famicom emulator
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 Features:
    * Save states
    * Movie recording
    * Game rewinding
    * GUI or command line interface
    * Emulation of NTSC, PAL, and Dendy systems
    * Support for NES Zapper games
    * Support for Famicom Disk System games

Package: libretro-nestopia
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: retroarch
Description: libretro wrapper for Nestopia
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 This package contains a wrapper allowing the Nestopia engine to be
 used with libretro frontends such as RetroArch.
