=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH),armhf)
	PLATFORM=platform="armv hardfloat"
endif

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=libretro -- $(PLATFORM)

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=libretro
