## nestopia 1.47

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-CC = cc
-CXX = c++
+CC ?= cc
+CXX ?= c++
 CXXFLAGS ?= -O3 -g3
 CPPFLAGS += -DNST_PRAGMA_ONCE
 CFLAGS = $(shell sdl2-config --cflags)
@@ -15,19 +15,36 @@
 
 BIN = nestopia
 
-PREFIX = /usr/local
-BINDIR = $(PREFIX)/bin
-DATADIR = $(PREFIX)/share/nestopia
+PREFIX ?= /usr/local
+BINDIR ?= $(PREFIX)/bin
+DATADIR ?= $(PREFIX)/share/nestopia
 
 ifneq ($(findstring MINGW,$(UNAME)),)
-	CPPFLAGS += -DNST_NO_ZLIB
 	DEFINES = -D_MINGW
 	LDFLAGS += -mconsole
-	LIBS += -lopengl32
+	LIBS += -lepoxy -lopengl32
+else ifneq ($(findstring Darwin,$(UNAME)),)
+	DEFINES = -D_APPLE
+	DEFINES += -DDATADIR=\"$(DATADIR)\"
+	INCLUDES += -I/usr/local/include -I/usr/local/opt/libarchive/include
+	LDFLAGS = -Wl -L/usr/local/opt/libarchive/lib
+	LIBS += -larchive -lepoxy -lao
+	# GTK Stuff - Comment this section to disable GTK+
+	#CFLAGS += $(shell pkg-config --cflags gtk+-3.0)
+	#LIBS += $(shell pkg-config --libs gtk+-3.0)
+	#DEFINES += -D_GTK
+	#IOBJS += objs/unix/gtkui/gtkui.o
+	#IOBJS += objs/unix/gtkui/gtkui_archive.o
+	#IOBJS += objs/unix/gtkui/gtkui_callbacks.o
+	#IOBJS += objs/unix/gtkui/gtkui_cheats.o
+	#IOBJS += objs/unix/gtkui/gtkui_config.o
+	#IOBJS += objs/unix/gtkui/gtkui_dialogs.o
+	#OBJDIRS += objs/unix/gtkui
+	#WARNINGS += -Wno-deprecated-declarations
+	# end GTK
 else
 	DEFINES = -DDATADIR=\"$(DATADIR)\"
-	LIBS += -larchive
-	LIBS += -lGL -lGLU -lao
+	LIBS += -larchive -lepoxy -lGL -lGLU -lao
 	# GTK Stuff - Comment this section to disable GTK+
 	CFLAGS += $(shell pkg-config --cflags gtk+-3.0)
 	LIBS += $(shell pkg-config --libs gtk+-3.0)
@@ -111,6 +128,7 @@
 OBJS += objs/core/api/NstApiVideo.o
 
 # Board
+OBJS += objs/core/board/NstBoardAcclaimMcAcc.o
 OBJS += objs/core/board/NstBoardAe.o
 OBJS += objs/core/board/NstBoardAgci.o
 OBJS += objs/core/board/NstBoardAveD1012.o
@@ -288,22 +306,3 @@
 OBJS += objs/core/board/NstBoardUnlKingOfFighters97.o
 OBJS += objs/core/board/NstBoardUnlMortalKombat2.o
 OBJS += objs/core/board/NstBoardUnlN625092.o
-OBJS += objs/core/board/NstBoardUnlSuperFighter3.o
-OBJS += objs/core/board/NstBoardUnlTf1201.o
-OBJS += objs/core/board/NstBoardUnlWorldHero.o
-OBJS += objs/core/board/NstBoardUnlXzy.o
-OBJS += objs/core/board/NstBoardUxRom.o
-OBJS += objs/core/board/NstBoardVsSystem.o
-OBJS += objs/core/board/NstBoardWaixing.o
-OBJS += objs/core/board/NstBoardWaixingFfv.o
-OBJS += objs/core/board/NstBoardWaixingPs2.o
-OBJS += objs/core/board/NstBoardWaixingSecurity.o
-OBJS += objs/core/board/NstBoardWaixingSgz.o
-OBJS += objs/core/board/NstBoardWaixingSgzlz.o
-OBJS += objs/core/board/NstBoardWaixingSh2.o
-OBJS += objs/core/board/NstBoardWaixingZs.o
-OBJS += objs/core/board/NstBoardWhirlwind.o
-OBJS += objs/core/board/NstBoardZz.o
-
-# Input
-OBJS += objs/core/input/NstInpAdapter.o
