=== debian/changelog ===
nestopia (1.47-2ubuntu4) bionic; urgency=medium

  * libretro-nestopia: Install nestopia.libretro so that GNOME
    Games recognizes this package (LP: #1812467)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Jan 2019 23:43:17 -0500

nestopia (1.47-2ubuntu3) artful; urgency=medium

  * Update appstream metadata
    - libretro-nestopia: Extend retroarch too
    - nestopia: Fix typo
  * debian/control:
    - Drop alternate Depends on gnome-games-app. gnome-games-app
      will Provide libretro-frontend instead.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 23 Apr 2017 18:54:06 -0400

nestopia (1.47-2ubuntu2) zesty; urgency=medium

  * Use correct bullets in appstream metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 07 Apr 2017 22:41:45 -0400

nestopia (1.47-2ubuntu1) zesty; urgency=medium

  * Add appstream and .libretro metadata for better integration
    with gnome-games-app and gnome-software
  * Allow gnome-games-app to be an alternate depends for libretro-nestopia
  * Use dh-exec instead of manual .sh script for install file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 05 Apr 2017 12:08:18 -0400

nestopia (1.47-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Now that retroarch is in the archive, depend on it, with the
    libretro-frontend alternative (thanks to Sérgio Benjamim!).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Enable -fpermissive to build with GCC 6 (Closes: #811688).
  * Enable all hardening options except PIE (which breaks libretro).

 -- Stephen Kitt <skitt@debian.org>  Wed, 29 Jun 2016 20:52:20 +0200

nestopia (1.47-1) unstable; urgency=medium

  [ Stephen Kitt ]
  * New upstream release.
  * Stop installing readme.html in libretro-nestopia, it doesn't seem
    relevant.

  [ Sérgio Benjamim ]
  * Correct the version for libretro.

 -- Stephen Kitt <skitt@debian.org>  Tue, 12 Jan 2016 20:39:07 +0100
