=== debian/control ===
Source: nestopia
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>,
           Sérgio Benjamim <sergio_br2@yahoo.com.br>
Section: games
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-exec,
               libao-dev,
               libarchive-dev,
               libglew-dev,
               libgtk-3-dev,
               libsdl2-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/nestopia.git
Vcs-Git: https://anonscm.debian.org/git/pkg-games/nestopia.git
Homepage: http://0ldsk00l.ca/nestopia/

Package: nestopia
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nes-emulator
Description: Nintendo Entertainment System/Famicom emulator
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 Features:
    * Save states
    * Movie recording
    * Game rewinding
    * GUI or command line interface
    * Emulation of NTSC, PAL, and Dendy systems
    * Support for NES Zapper games
    * Support for Famicom Disk System games

Package: libretro-nestopia
Architecture: any
Multi-Arch: same
Depends: retroarch | libretro-frontend,
         ${misc:Depends},
         ${shlibs:Depends}
Description: libretro wrapper for Nestopia
 Nestopia is a cycle-accurate NES/Famicom emulator. It has a high
 compatibility rate and support for many peripherals and input
 devices.
 .
 This package contains a wrapper allowing the Nestopia engine to be
 used with libretro frontends such as RetroArch.
