=== debian/watch ===
version=3

opts=dversionmangle=s/.dfsg$// \
  https://github.com/rdanbrook/nestopia/releases .*/(.*)\.tar\.gz
